Get the raw request
curl --request GET \
--url https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 1042,
"method": "POST",
"path": "/p/2mJ8kQ4vXw9aB3cD5eF7gH1iK0L",
"headers": {
"Content-Type": "application/json",
"X-Paystack-Signature": "3c9f…"
},
"body": "{\"event\":\"charge.success\",\"data\":{\"reference\":\"r_9311\"}}"
}{
"error": "invalid event id"
}{
"error": "<string>"
}{
"error": "<string>"
}Events
Get the raw request
Get the incoming request of an event, ready to send again. The CLI uses this endpoint. When the body is not valid UTF-8, it is base64 and body_encoding is base64.
GET
/
api
/
v1
/
projects
/
{projectId}
/
events
/
{eventId}
/
request
Get the raw request
curl --request GET \
--url https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/events/{eventId}/request"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": 1042,
"method": "POST",
"path": "/p/2mJ8kQ4vXw9aB3cD5eF7gH1iK0L",
"headers": {
"Content-Type": "application/json",
"X-Paystack-Signature": "3c9f…"
},
"body": "{\"event\":\"charge.success\",\"data\":{\"reference\":\"r_9311\"}}"
}{
"error": "invalid event id"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
A workspace API key. You can also send it in the X-API-Key header.
Path Parameters
Example:
"2mJ8kQ4vXw9aB3cD5eF7gH1iK0L"
Example:
1042